GroovyException (Groovy 2.4.16)
Date: 2018-12-09

org.codehaus.groovy

## Class GroovyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException

- All Implemented Interfaces:
    java.io.Serializable, GroovyExceptionInterface
  Direct Known Subclasses:
    ReadException, SyntaxException

      public class GroovyException
      extends java.lang.Exception
      implements GroovyExceptionInterface

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyException()`
    `GroovyException(boolean fatal)`
    `GroovyException(java.lang.String message)`
    `GroovyException(java.lang.String message, boolean fatal)`
    `GroovyException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFatal()`
    `void` | `setFatal(boolean fatal)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyException

          public GroovyException()

    - #### GroovyException

          public GroovyException(java.lang.String message)

    - #### GroovyException

          public GroovyException(java.lang.String message,
                                 java.lang.Throwable cause)

    - #### GroovyException

          public GroovyException(boolean fatal)

    - #### GroovyException

          public GroovyException(java.lang.String message,
                                 boolean fatal)

  - ### Method Detail

    - #### isFatal

          public boolean isFatal()

      Specified by:
        `isFatal` in interface `GroovyExceptionInterface`

    - #### setFatal

          public void setFatal(boolean fatal)

      Specified by:
        `setFatal` in interface `GroovyExceptionInterface`